View Issue Details

IDProjectCategoryView StatusLast Update
0001829SOGoOpenChange backendpublic2013-01-18 10:30
Reporter1952penny Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version2.0.4Fixed in Version2.0.4 
Summary0001829: crash: RTF composition
Description

A crash occurs during the composition of certain RTF emails, in particular those with themes.

Here is the log:
exchange_emsmdb: [OXCPRPT] WriteStream (0x2d)
MAPI Rop: 0x01 (8)
[mapi_handles_delete:469]: Deleting MAPI handle 0x4 (handles_ctx: 0x38a3920, tdb_ctx: 0x34f2d60)
[emsmdbp_object_destructor:666]: emsmdbp stream object released
[SOGo: sogo_properties_set_properties:1282]
matching offset - done

INTERNAL ERROR: Signal 11 in pid 20444 (4.0.0alpha18)
Please read the Trouble-Shooting section of the Samba HOWTO

PANIC: internal error
Translation from RTF performed by UnRTF, version 0.21.2 font table contains 25 fonts totalAbandon

TagsNo tags attached.

Activities

ludovic

ludovic

2012-09-12 16:11

administrator   ~0004474

Bumped out for the v2 release.

I've done multiple tests w/o success. All the themes/fonts used with OL 2003 never generated a crash.

If someone finds one, please put as much details as you can!

meintoaster

meintoaster

2012-09-28 05:17

reporter   ~0004582

in last nigtly build an OL2003

ldb error: (null)
Translation from RTF performed by UnRTF, version 0.21.2 font table contains 2 fonts total
Ö
üü
üÖ===============================================================
INTERNAL ERROR: Signal 6 in pid 3778 (4.0.0alpha18)
Please read the Trouble-Shooting section of the Samba HOWTO

PANIC: internal error

ludovic

ludovic

2012-09-28 06:21

administrator   ~0004584

How are you exactly triggering this?

meintoaster

meintoaster

2012-09-28 07:52

reporter   ~0004587

i only start a new ol 2003(german version) session.

ludovic

ludovic

2012-09-28 07:55

administrator   ~0004588

Would it be possible for you to run samba in single process mode from gdb (gdb --args samba -d3 -i -M single) and produce a stack trace?

meintoaster

meintoaster

2012-09-28 08:49

reporter   ~0004589

part 1
Sep 28 14:48:03 samba [17045]: <MAPIStoreMailFolder:0x2e90660:folderSent> METHOD '-[MAPIStoreFolder createMessage:withMID:isAssociated:]' -- mid: 0x6511030000000001 associated: 0
Sep 28 14:48:03 samba [17045]: <MAPIStoreMailVolatileMessage:0x3577350:(null)> -init
2012-09-28 14:48:03.674 samba[17045] METHOD '+[MAPIStoreContext openContext:withURI:connectionInfo:andTDBIndexing:]' (226) -- uri: 'elkm902@calendar/personal/'
Sep 28 14:48:03 samba [17045]: <MAPIStoreCalendarFolder:0x355e610:(null)> -init
2012-09-28 14:48:03.717 samba[17045] METHOD '+[MAPIStoreContext openContext:withURI:connectionInfo:andTDBIndexing:]' (226) -- uri: 'elkm902@fallback/0x6b03040000000001/'
Sep 28 14:48:03 samba [17045]: <MAPIStoreDBFolder:0x2066fd0:(null)> -init
Sep 28 14:48:03 samba [17045]: <0x02E3DAA0[SOGoMAPIDBObject]:E24-5058C080-3-4994F880.plist> PidTagMessageClass = 'IPM.Microsoft.ScheduleData.FreeBusy', returning 'MAPIStoreDBMessage'
Sep 28 14:48:03 samba [17045]: <MAPIStoreDBMessage:0x2074af0:(null)> -init
2012-09-28 14:48:03.818 samba[17045] METHOD '+[MAPIStoreContext openContext:withURI:connectionInfo:andTDBIndexing:]' (226) -- uri: 'elkm902@contacts/personal/'
Sep 28 14:48:03 samba [17045]: <MAPIStoreContactsFolder:0x2d89d00:(null)> -init
Sep 28 14:48:03 samba [17045]: <0x0x2cb1080[MAPIStoreContactsMessageTable]> -init
Sep 28 14:48:03 samba [17045]: <0x0x2cb1080[MAPIStoreContactsMessageTable]> -retain
Sep 28 14:48:03 samba [17045]: <0x0x2cb1080[MAPIStoreContactsMessageTable]> -release
Sep 28 14:48:03 samba [17045]: <0x0x2cb1080[MAPIStoreContactsMessageTable]> -release
Sep 28 14:48:03 samba [17045]: <0x0x2cb1080[MAPIStoreContactsMessageTable]> -dealloc
Sep 28 14:48:03 samba [17045]: <0x0x3a05e80[MAPIStoreFAIMessageTable]> -init
Sep 28 14:48:03 samba [17045]: <0x0x3a05e80[MAPIStoreFAIMessageTable]> -retain
Sep 28 14:48:03 samba [17045]: <0x0x3a05e80[MAPIStoreFAIMessageTable]> -release
Sep 28 14:48:03 samba [17045]: <0x0x3a05e80[MAPIStoreFAIMessageTable]> -release
Sep 28 14:48:03 samba [17045]: <0x0x3a05e80[MAPIStoreFAIMessageTable]> -dealloc
Sep 28 14:48:03 samba [17045]: <0x0x2d92580[MAPIStoreContactsMessageTable]> -init
Sep 28 14:48:03 samba [17045]: <0x0x2d92580[MAPIStoreContactsMessageTable]> -retain
Sep 28 14:48:03 samba [17045]: <0x0x2d92580[MAPIStoreContactsMessageTable]> -release
Sep 28 14:48:03 samba [17045]: <0x0x2d92580[MAPIStoreContactsMessageTable]> -release
Sep 28 14:48:03 samba [17045]: <0x0x2d92580[MAPIStoreContactsMessageTable]> -dealloc
Sep 28 14:48:03 samba [17045]: <0x0x2cc2eb0[MAPIStoreFAIMessageTable]> -init
Sep 28 14:48:03 samba [17045]: <0x0x2cc2eb0[MAPIStoreFAIMessageTable]> -retain
Sep 28 14:48:03 samba [17045]: <0x0x2cc2eb0[MAPIStoreFAIMessageTable]> -release
Sep 28 14:48:03 samba [17045]: <0x0x2cc2eb0[MAPIStoreFAIMessageTable]> -release
Sep 28 14:48:03 samba [17045]: <0x0x2cc2eb0[MAPIStoreFAIMessageTable]> -dealloc
2012-09-28 14:48:04.143 samba[17045] METHOD '+[MAPIStoreContext openContext:withURI:connectionInfo:andTDBIndexing:]' (226) -- uri: 'elkm902:elkm902@mail/folderDrafts/'
Sep 28 14:48:04 samba [17045]: <MAPIStoreMailFolder:0x2bf3c20:(null)> -init
Sep 28 14:48:04 samba [17045]: <0x0x2514880[NGImap4Client]> Note: no key found for sorting, using 'DATE': (null)
Sep 28 14:48:04 samba [17045]: <MAPIStoreMailFolder:0x2bf3c20:folderDrafts> lastMessageModificationTime: 2012-09-28 14:48:04 +0200
Sep 28 14:48:04 samba [17045]: <MAPIStoreMailVolatileMessage:0x3577350:4295-50659C80-1-17DFE660> METHOD '-[MAPIStoreMessage modifyRecipientsWithRecipients:andCount:andColumns:]'
Sep 28 14:48:04 samba [17045]: <0x0x2514880[NGImap4Client]> Note: no key found for sorting, using 'DATE': (null)
Sep 28 14:48:04 samba [17045]: <MAPIStoreMailFolder:0x2e90660:folderSent> added message entry for uid 9220835, modseq 2, version 7640638242810757121
Aborted (core dumped)

2012-09-28 08:52

 

samba.log.gz (84,101 bytes)
meintoaster

meintoaster

2012-09-28 08:52

reporter   ~0004590

gdb produced no output :-(

samba -d3 -i -M single >> samba.log is attached

wsourdeau

wsourdeau

2012-09-28 09:19

viewer   ~0004591

What you need to do is launch gdb as Ludovic has described, but once the abort occurs, issue the "bt" command on the gdb prompt. This will output a stacktrace.

meintoaster

meintoaster

2012-09-28 11:49

reporter   ~0004594

did you mean something like that?

Program received signal SIGABRT, Aborted.
0x00007f2bb923a445 in raise () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) bt
#0 0x00007f2bb923a445 in raise () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007f2bb923dbab in abort () from /lib/x86_64-linux-gnu/libc.so.6
0000002 0x00007f2b96cb7068 in ?? ()
from /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/./SOGoBackend
0000003 0x00007f2b96cc25b3 in ?? ()
from /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/./SOGoBackend
0000004 0x00007f2b96c95a6f in ?? ()
from /usr/lib/GNUstep/SOGo/SOGoBackend.MAPIStore/./SOGoBackend
0000005 0x00007f2ba04e24aa in ?? ()
from /usr/lib/x86_64-linux-gnu/mapistore_backends/SOGo.so
0000006 0x00007f2ba18faaae in EcDoRpc_RopSaveChangesMessage ()
from /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so
0000007 0x00007f2ba18df17f in ?? ()
from /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so
0000008 0x00007f2ba18df915 in ?? ()
from /usr/lib/x86_64-linux-gnu/openchange/dcerpc_mapiproxy_server/exchange_emsmdb.so
0000009 0x00007f2ba283bd5c in mapiproxy_server_dispatch ()
from /usr/lib/x86_64-linux-gnu/libmapiproxy.so.0
0000010 0x00007f2ba2a79cfb in ?? ()
from /usr/lib/x86_64-linux-gnu/samba//dcerpc_server/dcesrv_mapiproxy.so
0000011 0x00007f2bacc9d4fb in ?? ()
from /usr/lib/x86_64-linux-gnu/libdcerpc-server.so.0
0000012 0x00007f2bacc9da66 in dcesrv_process_ncacn_packet ()
from /usr/lib/x86_64-linux-gnu/libdcerpc-server.so.0
0000013 0x00007f2bacc9ea14 in ?? ()
from /usr/lib/x86_64-linux-gnu/libdcerpc-server.so.0
0000014 0x00007f2bba03e079 in ?? ()
from /usr/lib/x86_64-linux-gnu/libdcerpc-binding.so.0
0000015 0x00007f2bb6d74e23 in ?? ()
from /usr/lib/x86_64-linux-gnu/samba/libsamba-sockets.so
0000016 0x00007f2bb6d75010 in ?? ()
from /usr/lib/x86_64-linux-gnu/samba/libsamba-sockets.so
0000017 0x00007f2bb6d7438d in ?? ()
from /usr/lib/x86_64-linux-gnu/samba/libsamba-sockets.so
0000018 0x00007f2bb6d7850b in ?? ()
from /usr/lib/x86_64-linux-gnu/samba/libsamba-sockets.so
0000019 0x00007f2bb6d77c17 in ?? ()
from /usr/lib/x86_64-linux-gnu/samba/libsamba-sockets.so
0000020 0x00007f2bb95c73c8 in ?? () from /usr/lib/x86_64-linux-gnu/libtevent.so.0
0000021 0x00007f2bb95c4550 in _tevent_loop_once ()
from /usr/lib/x86_64-linux-gnu/libtevent.so.0
0000022 0x00007f2bb95c46db in tevent_common_loop_wait ()
from /usr/lib/x86_64-linux-gnu/libtevent.so.0
0000023 0x000000000040b49f in ?? ()
0000024 0x000000000040b4e5 in main ()

ludovic

ludovic

2012-09-28 11:54

administrator   ~0004595

Yes, but please install the debugging packages of SOGo, SOPE and GNUstep and post again a stack trace.

wsourdeau

wsourdeau

2012-10-13 09:37

viewer   ~0004638

Please try again with 2.0.1

dvorakluk

dvorakluk

2013-01-11 12:47

reporter   ~0005143

I'm getting similar problem - sending a meeting invitation from outlook 2010 sometimes passes (dropping non-english characters like "?,ลก,?" from event description) sometimes get stuck in the Outlook Outbox.

Openchange and SOGo built from git today, with Samba 4.0.0
Dovecot 2.1.7
Postfix 2.9.3
Postgresql 9.1.6
Samba4 built-in LDAP used as SOGoUserSources and for Dovecot/Postfix Auth

exchange_emsmdb: EcDoRpcExt2 (0xB)
MAPI Rop: 0x0a (0)
exchange_emsmdb: [OXCPRPT] SetProperties (0x0a)
[SOGo: sogo_properties_set_properties:1438]
matching offset - done

INTERNAL ERROR: Signal 11 in pid 3826 (4.0.0)
Please read the Trouble-Shooting section of the Samba HOWTO

PANIC: internal error
Translation from RTF performed by UnRTF, version 0.21.2 font table contains 93 fonts totalNot authoritative for 'GW.localdomain', forwarding
Not authoritative for 'GW.localdomain', forwarding
dreplsrv_notify_schedule(5) scheduled for: Fri Jan 11 18:03:10 2013 CET
^C
Program received signal SIGINT, Interrupt.
0x00007ffff3ba6333 in epoll_wait () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) bt
#0 0x00007ffff3ba6333 in epoll_wait () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007ffff40863fe in epoll_event_loop (std_ev=0x626bb0, tvalp=0x7fffffffe250) at ../tevent_standard.c:282
0000002 0x00007ffff4086de8 in std_event_loop_once (ev=0x627880, location=0x40f97f "../source4/smbd/server.c:486") at ../tevent_standard.c:567
0000003 0x00007ffff408149d in _tevent_loop_once (ev=0x627880, location=0x40f97f "../source4/smbd/server.c:486") at ../tevent.c:507
0000004 0x00007ffff40816b6 in tevent_common_loop_wait (ev=0x627880, location=0x40f97f "../source4/smbd/server.c:486") at ../tevent.c:608
0000005 0x00007ffff4081781 in _tevent_loop_wait (ev=0x627880, location=0x40f97f "../source4/smbd/server.c:486") at ../tevent.c:627
0000006 0x000000000040b5fc in binary_smbd_main (binary_name=0x40f1cb "samba", argc=3, argv=0x7fffffffe678) at ../source4/smbd/server.c:486
0000007 0x000000000040b645 in main (argc=3, argv=0x7fffffffe678) at ../source4/smbd/server.c:497
(gdb)

What other details can I provide?

ludovic

ludovic

2013-01-14 15:31

administrator   ~0005174

Please run samba using a single process, inside gdb, and reproduce a stack trace:

gdb --args /usr/local/samba/sbin/samba -M single -i -d 5

Thanks,

2013-01-15 05:41

 

bt_unrtf.zip (110,345 bytes)
dvorakluk

dvorakluk

2013-01-15 05:42

reporter   ~0005180

I have attached bt_unrtf.zip
Hope this is the right stack trace.

If I can do any more, let me know please.

ludovic

ludovic

2013-01-15 11:07

administrator   ~0005193

Thanks!

So the issue really is in unrtf. Do you have any C skills so you could diagnose this a bit? The code is not that complex and it's located in SOGo/OpenChange/unrtf-0.21.2/

Thanks!

dvorakluk

dvorakluk

2013-01-16 09:00

reporter   ~0005200

I'm sorry, but I'm more into java and python.

ludovic

ludovic

2013-01-18 10:30

administrator   ~0005231

Should now work with this updated patch:

https://github.com/inverse-inc/sogo/commit/7e001a05a402f71ddf02cf38f9eb0ef2f9e76896

Please reopen if necessary.

Issue History

Date Modified Username Field Change
2012-06-05 10:26 wsourdeau New Issue
2012-07-25 16:08 ludovic Target Version => 2.0
2012-08-16 14:45 ludovic Severity block => minor
2012-08-16 14:45 ludovic Product Version trunk =>
2012-09-12 16:11 ludovic Note Added: 0004474
2012-09-12 16:11 ludovic Target Version 2.0 =>
2012-09-28 05:17 meintoaster Note Added: 0004582
2012-09-28 06:21 ludovic Note Added: 0004584
2012-09-28 07:52 meintoaster Note Added: 0004587
2012-09-28 07:55 ludovic Note Added: 0004588
2012-09-28 08:49 meintoaster Note Added: 0004589
2012-09-28 08:52 meintoaster File Added: samba.log.gz
2012-09-28 08:52 meintoaster Note Added: 0004590
2012-09-28 09:19 wsourdeau Note Added: 0004591
2012-09-28 11:49 meintoaster Note Added: 0004594
2012-09-28 11:54 ludovic Note Added: 0004595
2012-10-03 11:10 wsourdeau Project SOGo Native Outlook Compatibility (obsolete) => SOGo
2012-10-03 11:12 wsourdeau Category => OpenChange backend
2012-10-13 09:37 wsourdeau Note Added: 0004638
2012-10-13 09:37 wsourdeau Assigned To => wsourdeau
2012-10-13 09:37 wsourdeau Status new => feedback
2013-01-11 12:47 dvorakluk Note Added: 0005143
2013-01-14 15:31 ludovic Note Added: 0005174
2013-01-15 05:41 dvorakluk File Added: bt_unrtf.zip
2013-01-15 05:42 dvorakluk Note Added: 0005180
2013-01-15 11:07 ludovic Note Added: 0005193
2013-01-16 09:00 dvorakluk Note Added: 0005200
2013-01-18 10:30 ludovic Note Added: 0005231
2013-01-18 10:30 ludovic Status feedback => closed
2013-01-18 10:30 ludovic Resolution open => fixed
2013-01-18 10:30 ludovic Fixed in Version => 2.0.4
2013-01-18 10:30 ludovic Reporter wsourdeau => 1952penny
2013-01-18 10:30 ludovic Assigned To wsourdeau =>
2013-01-18 10:30 ludovic Target Version => 2.0.4